/*****************************************************************************
** File:
**      LanguageChineseTraditional.h
**
** Copyright (C) 2003-2004 Daniel Vik
**
**  This software is provided 'as-is', without any express or implied
**  warranty.  In no event will the authors be held liable for any damages
**  arising from the use of this software.
**
**  Permission is granted to anyone to use this software for any purpose,
**  including commercial applications, and to alter it and redistribute it
**  freely, subject to the following restrictions:
**
**  1. The origin of this software must not be misrepresented; you must not
**     claim that you wrote the original software. If you use this software
**     in a product, an acknowledgment in the product documentation would be
**     appreciated but is not required.
**  2. Altered source versions must be plainly marked as such, and must not be
**     misrepresented as being the original software.
**  3. This notice may not be removed or altered from any source distribution.
**
******************************************************************************
*/
#ifndef LANGUAGE_CHINESE_TRADITIONAL_H
#define LANGUAGE_CHINESE_TRADITIONAL_H

#include "LanguageEnglish.h"

class LanguageChineseTraditional : public LanguageEnglish
{
public:
    LanguageChineseTraditional() {
        genericOk                   = "Tw";
        genericCancel               = "";

        toolbarResume               = "}l/~";
        toolbarPause                = "_";
        toolbarStop                 = "";
        toolbarRun                  = "sҰ";
        toolbarShowNext             = "ܤU@ӳz";
        toolbarStepIn               = "vB";
        toolbarStepOver             = "iJ禡";
        toolbarStepOut              = "禡";
        toolbarRunTo                = "";
        toolbarBpToggle             = "]w/_I";
        toolbarBpEnable             = "ҥ/Τ_I";
        toolbarBpEnableAll          = "ҥΩҦ_I";
        toolbarBpDisableAll         = "ΩҦ_I";
        toolbarBpRemoveAll          = "Ҧ_I";

        menuFile                    = "ɮ";
        menuFileLoadSymbolFile      = "JŸɮ";
        menuFileSaveDisassembly     = "xsϲĶ";
        menuFileSaveMemory          = "xsO";
        menuFileExit                = "";

        menuDebug                   = "";
        menuDebugStart              = "}l";
        menuDebugContinue           = "~";
        menuDebugBreakAll           = "_";
        menuDebugStop               = "";
        menuDebugRestart            = "sҰ";
        menuDebugStepIn             = "vB";
        menuDebugStepOver           = "iJ禡";
        menuDebugStepOut            = "禡";
        menuDebugRunTo              = "";
        menuDebugShowSymbols        = "ܲŸT";
        menuDebugGoto               = "e";
        menuDebugFind               = "M";
        menuDebugBpAdd              = "[Js_I";
        menuDebugBpToggle           = "]w/_I";
        menuDebugEnable             = "ҥ/Τ_I";
        menuDebugRemoveAll          = "Ҧ_I";
        menuDebugEnableAll          = "ҥΩҦ_I";
        menuDebugDisableAll         = "ΩҦ_I";
        menuDebugShowAssemblyFlags  = "ܲզXX";

        menuWindow                  = "";

        menuHelp                    = "";
        menuHelpAbout               = "";

        debuggerName                = "u";
        windowDebugger              = "blueMSX - u";
        windowDisassembly           = "ϲĶX";
        windowDisassemblyUnavail    = "ϲĶXiϥΡC";
        windowCpuRegisters          = "CPU Ȧs";
        windowCpuRegistersFlags     = "X";
        windowStack                 = "|";
        windowStackUnavail          = "|iϥΡC";
        windowCallstack             = "Is|";
        windowCallstackUnavail      = "Is|iϥΡC";
        windowMemory                = "O";
        windowPeripheralRegisters   = "PȦs";
        windowIoPorts               = "I/O s";

        memWindowRegisters          = "Ȧs:";

        memWindowMemory             = "O:";
        memWindowAddress            = "}:";

        setBpWindowCaption          = "[Js_I";
        gotoWindowCaption           = "e}";
        gotoWindowText              = "}μ:";

        symbolWindowCaption         = "}ҲŸɮ";
        symbolWindowText            = "NªŸ";

        popupOverwrite              = "ɮפwgsbC zTwnмgܡH";
        
        aboutBuilt                  = "ի:";
        aboutVisit                  = "гX http://www.bluemsx.com ohӸ`";
    }
};


#endif //LANGUAGE_CHINESE_TRADITIONAL_H
