/*****************************************************************************
** $Source: /cvsroot/bluemsx/blueMSX/Src/Language/LanguageChineseTraditional.h,v $
**
** $Revision: 1.25 $
**
** $Date: 2006/06/30 15:59:34 $
**
** More info: http://www.bluemsx.com
**
** Copyright (C) 2003-2004 Daniel Vik
**
**  This software is provided 'as-is', without any express or implied
**  warranty.  In no event will the authors be held liable for any damages
**  arising from the use of this software.
**
**  Permission is granted to anyone to use this software for any purpose,
**  including commercial applications, and to alter it and redistribute it
**  freely, subject to the following restrictions:
**
**  1. The origin of this software must not be misrepresented; you must not
**     claim that you wrote the original software. If you use this software
**     in a product, an acknowledgment in the product documentation would be
**     appreciated but is not required.
**  2. Altered source versions must be plainly marked as such, and must not be
**     misrepresented as being the original software.
**  3. This notice may not be removed or altered from any source distribution.
**
******************************************************************************
*/
#ifndef LANGUAGE_CHINESE_TRADITIONAL_H
#define LANGUAGE_CHINESE_TRADITIONAL_H

#include "LanguageStrings.h"
 
void langInitChineseTraditional(LanguageStrings* ls) 
{
    //----------------------
    // Language lines
    //----------------------

    ls->langChineseSimplified   = " (²)";
    ls->langChineseTraditional  = " (c)";
    ls->langDutch               = "";
    ls->langEnglish             = "^";
    ls->langFinnish             = "";
    ls->langFrench              = "k";
    ls->langGerman              = "w";
    ls->langItalian             = "qjQ";
    ls->langJapanese            = "";
    ls->langKorean              = "";
    ls->langPolish              = "i";
    ls->langPortuguese          = "";
    ls->langSpanish             = "Z";
    ls->langSwedish             = "";


    //----------------------
    // Generic lines
    //----------------------

    ls->textDevice              = "˸m:";
    ls->textFilename            = "ɮצW:";
    ls->textFile                = "ɮ";
    ls->textNone                = "L";
    ls->textUnknown             = "";                            // New in 2.5


    //----------------------
    // Warning and Error lines
    //----------------------

    ls->warningTitle            = "blueMSX - ĵi";
    ls->warningDiscardChanges   = "zTwnܧܡH";
    ls->warningOverwriteFile    = "zTwnмgɮ:"; // New in 2.5
    ls->errorTitle              = "blueMSX - ~";
    ls->errorEnterFullscreen    = "LkiJùҦC           \n";
    ls->errorDirectXFailed      = "Lkإ DirectX C           \nNϥ GDIC\nˬdTeC";
    ls->errorNoRomInZip         = "Lkb zip YɮפX .rom ɮסC";
    ls->errorNoDskInZip         = "Lkb zip YɮפX .dsk ɮסC";
    ls->errorNoCasInZip         = "Lkb zip YɮפX .cas ɮסC";
    ls->errorNoHelp             = "Lk blueMSX ɮסC";
    ls->errorStartEmu           = "LkҰ MSX C";
    ls->errorPortableReadonly   = "i⦡˸mŪݩ";        // New in 2.5


    //----------------------
    // File related lines
    //----------------------

    ls->fileRom                 = "ROM M";
    ls->fileAll                 = "Ҧɮ";
    ls->fileCpuState            = "CPU A";
    ls->fileDisk                = "ϺЬM";
    ls->fileCas                 = "ϱaM";


    //----------------------
    // Menu related lines
    //----------------------

    ls->menuNoRecentFiles       = "- S̪ɮ -";
    ls->menuInsert              = "J";
    ls->menuEject               = "hX";

    ls->menuCartGameReader      = "CŪ";                        // New in 2.5
    ls->menuCartIde             = "IDE";                                // New in 2.5
    ls->menuCartBeerIde         = "Beer";                               // New in 2.5
    ls->menuCartGIde            = "GIDE";                               // New in 2.5
    ls->menuCartSunriseIde      = "Sunrise";                            // New in 2.5
    ls->menuCartSCCPlus         = "SCC + dX";
    ls->menuCartSCC             = "SCC dX";
    ls->menuCartFMPac           = "FM-PAC dX";
    ls->menuCartPac             = "PAC dX";
    ls->menuCartHBI55           = "SONY HBI-55 dX";
    ls->menuCartInsertSpecial   = "JSɮ";                     // New in 2.5
    ls->menuCartMegaRam         = "MegaRAM";                            // New in 2.5
    ls->menuCartExternalRam     = "~ RAM";

    ls->menuDiskInsertNew       = "JsϺЬM";              // New in 2.5
    ls->menuDiskDirInsert       = "Jؿ";
    ls->menuDiskAutoStart       = "J᭫m";
    ls->menuCartAutoReset       = "J/᭫m";
    
    ls->menuCasRewindAfterInsert = "Jja";
    ls->menuCasUseReadOnly       = "ϥκϱaMɰŪ";
    ls->lmenuCasSaveAs           = "tsϱaMɬ...";
    ls->menuCasSetPosition      = "]wm";
    ls->menuCasRewind           = "ja";

    ls->menuPrnFormfeed         = "";

    ls->menuZoomNormal          = "@jp";
    ls->menuZoomDouble          = "⭿jp";
    ls->menuZoomFullscreen      = "ù";
    
    ls->menuPropsEmulation      = "";
    ls->menuPropsVideo          = "T";
    ls->menuPropsSound          = "";
    ls->menuPropsControls       = "";
    ls->menuPropsPerformance    = "į";
    ls->menuPropsSettings        = "]w";
    ls->menuPropsFile           = "ɮ";
    ls->menuPropsLanguage       = "y";
    ls->menuPropsPorts          = "s";
    
    ls->menuVideoSource         = "TXӷ";                   // New in 2.5
    ls->menuVideoSourceDefault  = "STXӷsu";      // New in 2.5
    ls->menuVideoChipAutodetect = "۰ʰT";
    ls->menuVideoInSource       = "TJӷ";                    // New in 2.5
    ls->menuVideoInBitmap       = "I}";                        // New in 2.5

    ls->menuHelpHelp            = "DD";
    ls->menuHelpAbout           = " blueMSX";

    ls->menuFileCart            = "dX";
    ls->menuFileDisk            = "Ϻо";
    ls->menuFileCas             = "ϱa";
    ls->menuFilePrn             = "L";
    ls->menuFileLoadState       = "J CPU A";
    ls->menuFileSaveState       = "xs CPU A";
    ls->menuFileQLoadState      = "ֳtJA";
    ls->menuFileQSaveState      = "ֳtxsA";
    ls->menuFileCaptureAudio    = "^T";
    ls->menuFileScreenShot      = "xsù";
    ls->menuFileExit            = "";

    ls->menuFileHarddisk        = "wо";                          // New in 2.5
    ls->menuFileHarddiskNoPesent= "Swо";             // New in 2.5

    ls->menuRunRun              = "";
    ls->menuRunPause            = "Ȱ";
    ls->menuRunStop             = "";
    ls->menuRunSoftReset        = "n魫m";
    ls->menuRunHardReset        = "w魫m";
    ls->menuRunCleanReset       = "@뭫m";

    ls->menuToolsMachine        = "ؽs边";
    ls->menuToolsShortcuts      = "ֳts边";
    ls->menuToolsKeyboard       = "Ls边";
    ls->menuToolsMixer          = "VX";
    ls->menuToolsDebugger       = "u";               // New in 2.5
    ls->menuToolsTrainer        = "Vm";                // New in 2.5
    ls->menuToolsTraceLogger    = "lܰO";           // New in 2.5

    ls->menuFile                = "ɮ";
    ls->menuRun                 = "";
    ls->menuWindow              = "";
    ls->menuOptions             = "ﶵ";
    ls->menuTools               = "u";
    ls->menuHelp                = "";


    //----------------------
    // Dialog related lines
    //----------------------

    ls->dlgOK                   = "Tw";
    ls->dlgOpen                 = "}";
    ls->dlgCancel               = "";
    ls->dlgSave                 = "xs";
    ls->dlgSaveAs               = "tss...";
    ls->dlgRun                  = "";
    ls->dlgClose                = "";
    
    ls->dlgLoadRom              = "blueMSX - ܥdXMɸJ";
    ls->dlgLoadDsk              = "blueMSX - ܺϺЬMɸJ";
    ls->dlgLoadCas              = "blueMSX - ܺϱaMɸJ";
    ls->dlgLoadRomDskCas        = "blueMSX - ܥdXBϺЩκϱaMɸJ";
    ls->dlgLoadRomDesc          = "пܭnJdXM:";
    ls->dlgLoadDskDesc          = "пܭnJϺЬM:";
    ls->dlgLoadCasDesc          = "пܭnJϱaM:";
    ls->dlgLoadRomDskCasDesc    = "пܭnJdXBϺЩκϱaM:";
    ls->dlgLoadState            = "J CPU A";
    ls->dlgSaveState            = "xs CPU A";
    ls->dlgSaveCassette          = "blueMSX - xsϱaM";
    ls->dlgInsertRom1           = "Цb 1 J ROM dX";
    ls->dlgInsertRom2           = "Цb 2 J ROM dX";
    ls->dlgInsertDiskA          = "ЦbϺо A JϺЬM";
    ls->dlgInsertDiskB          = "ЦbϺо B JϺЬM";
    ls->dlgInsertHarddisk       = "Jwо";                   // New in 2.5
    ls->dlgInsertCas            = "дJϱaϱa";
    ls->dlgRomType              = "ROM :";

    ls->dlgTapeTitle            = "blueMSX - ϱam";
    ls->dlgTapeFrameText        = "ϱam";
    ls->dlgTapeCurrentPos       = "ثem";
    ls->dlgTapeTotalTime        = "`ɶ";
    ls->dlgTapeSetPosText        = "ϱam:";
    ls->dlgTapeCustom            = "ܦۭqɮ";
    ls->dlgTabPosition           = "m";
    ls->dlgTabType               = "";
    ls->dlgTabFilename           = "ɮצW";
    ls->dlgZipReset             = "J᭫m";

    ls->dlgAboutTitle           = "blueMSX - ";

    ls->dlgLangLangText         = "п blueMSX nϥΪy";
    ls->dlgLangLangTitle        = "blueMSX - y";

    ls->dlgAboutAbout           = "\r\n====";
    ls->dlgAboutVersion         = ":";
    ls->dlgAboutBuildNumber     = "ի:";
    ls->dlgAboutBuildDate       = ":";
    ls->dlgAboutCreat           = " Daniel Vik Ч@";
    ls->dlgAboutDevel           = "}o\r\n========";
    ls->dlgAboutThanks          = "SOP\r\n============";
    ls->dlgAboutLisence         = "vĳ\r\n"
                                  "======\r\n\r\n"
                                  "oӳn̾ڥثeAӴѡASTηtܪOC "
                                  "b󱡪pUAϥγoӳnҳyl`ݭnϥΪ̦ۤvӾA "
                                  "@̤Ӿ󪺳dC\r\n\r\n"
                                  "гX www.bluemsx.com ohӸ`C";

    ls->dlgSavePreview          = "ܹw";
    ls->dlgSaveDate             = "xsɶ:";


    //----------------------
    // Properties related lines
    //----------------------

    ls->propTitle               = "blueMSX - e";
    ls->propEmulation           = "";
    ls->propVideo               = "T";
    ls->propSound               = "";
    ls->propControls            = "";
    ls->propPerformance         = "į";
    ls->propSettings             = "]w";
    ls->propFile                = "ɮ";
    ls->propPorts               = "s";
    
    ls->propEmuGeneralGB        = "@ ";
    ls->propEmuFamilyText       = "MSX :";
    ls->propEmuMemoryGB         = "O ";
    ls->propEmuRamSizeText      = "RAM jp:";
    ls->propEmuVramSizeText     = "VRAM jp:";
    ls->propEmuSpeedGB          = "t ";
    ls->propEmuSpeedText        = "t:";
    ls->propEmuFrontSwitchGB     = "Panasonic } ";
    ls->propEmuFrontSwitch       = " eݶ}";
    ls->propEmuFdcTiming        = "γnϺоp";
    ls->propEmuPauseSwitch      = " Ȱ}";
    ls->propEmuAudioSwitch       = " MSX ĥd}";
    ls->propVideoFreqText       = "TWv:";
    ls->propVideoFreqAuto       = "۰";
    ls->propSndOversampleText   = "W:";
    ls->propSndYkInGB           = "YK-01/YK-10/YK-20 J ";                // New in 2.5
    ls->propSndMidiInGB         = "MIDI J ";
    ls->propSndMidiOutGB        = "MIDI X ";
    ls->propSndMidiChannel      = "MIDI nD:";                      // New in 2.5
    ls->propSndMidiAll          = "";                                // New in 2.5

    ls->propMonMonGB            = "ʵ ";
    ls->propMonTypeText         = "ʵ:";
    ls->propMonEmuText          = "ʵ:";
    ls->propVideoTypeText       = "T:";
    ls->propWindowSizeText      = "jp:";
    ls->propMonHorizStretch      = " Ԧ";
    ls->propMonDeInterlace      = " he\\";
    ls->propBlendFrames         = " VXs򪺵e";           // New in 2.5
    ls->propMonColorGhosting    = "RF ܾ";
    ls->propMonVertStretch       = " Ԧ";
    ls->propMonBrightness       = "G:";
    ls->propMonContrast         = ":";
    ls->propMonSaturation       = "X:";
    ls->propMonGamma            = "ɺ:";
    ls->propMonScanlines        = "˽u:";
    ls->propMonEffectsGB        = "ĪG";

    ls->propPerfVideoDrvGB      = "TXʵ{ ";
    ls->propPerfVideoDispDrvText= "Xʵ{:";
    ls->propPerfFrameSkipText   = "e沤L:";
    ls->propPerfAudioDrvGB      = "TXʵ{ ";
    ls->propPerfAudioDrvText    = "Xʵ{:";
    ls->propPerfAudioBufSzText  = "ĽwİϤjp:";
    ls->propPerfEmuGB           = " ";
    ls->propPerfSyncModeText    = "PBҦ:";
    ls->propFullscreenResText   = "ùѪR:";

    ls->propSndChipEmuGB        = "Ĵ ";
    ls->propSndMsxMusic         = " MSX ";
    ls->propSndMsxAudio         = " MSX ";
    ls->propSndMoonsound        = " MoonSound";
    ls->propSndMt32ToGm         = "  MT-32 ־@ MIDI ˸m";

    ls->propPortsLptGB          = "æCs ";
    ls->propPortsComGB          = "ǦCs ";
    ls->propPortsLptText        = "s:";
    ls->propPortsCom1Text       = "s 1:";
    ls->propPortsNone           = "L";
    ls->propPortsSimplCovox     = "SiMPL / Covox Ʀഫ";
    ls->propPortsFile           = "CLɮ";
    ls->propPortsComFile        = "ǰeɮ";
    ls->propPortsOpenLogFile    = "}ҰO";
    ls->propPortsEmulateMsxPrn  = ":";

    ls->propSetFileHistoryGB     = "ɮװO ";
    ls->propSetFileHistorySize   = "ɮװOؼ:";
    ls->propSetFileHistoryClear  = "MO";
    ls->propFileTypes            = " U blueMSX pɮ (.rom, .dsk, .cas, .sta)";
    ls->propWindowsEnvGB         = "Windows  "; 
    ls->propSetScreenSaver       = "  blueMSX ɰοùO@";
    ls->propDisableWinKeys       = " ϥ MSX ɦ۰ʰ Windows Bk\\"; 
    ls->propPriorityBoost        = "  blueMSX uv";
    ls->propScreenshotPng        = " ϥΥi⦡ϧ (.png) ù";  // New in 2.5
    ls->propClearHistory         = "zO_TwnMɮװOH";
    ls->propOpenRomGB            = "} ROM ܤ ";
    ls->propDefaultRomType       = "w] ROM :";
    ls->propGuessRomType         = " ROM ";

    ls->propSettDefSlotGB       = "즲 ";
    ls->propSettDefSlots        = "J ROM :";
    ls->propSettDefSlot         = " ";
    ls->propSettDefDrives       = "JϤ:";
    ls->propSettDefDrive        = " Ϻо";

    ls->propThemeGB             = "GDD ";
    ls->propTheme               = "GDD:";


    //----------------------
    // Dropdown related lines
    //----------------------

    ls->enumVideoMonColor       = "m";
    ls->enumVideoMonGrey        = "¥";
    ls->enumVideoMonGreen       = "";
    ls->enumVideoMonAmber       = "";

    ls->enumVideoTypePAL        = "PAL";
    ls->enumVideoTypeNTSC       = "NTSC";

    ls->enumVideoEmuNone        = "L";
    ls->enumVideoEmuYc          = "Y/C ^ (UQ)";
    ls->enumVideoEmuMonitor     = "ʵ";
    ls->enumVideoEmuYcBlur      = "T Y/C ^ (UQ)";
    ls->enumVideoEmuComp        = "ƦX (ҽk)";
    ls->enumVideoEmuCompBlur    = "TƦX (ҽk)";
    ls->enumVideoEmuScale2x     = "⭿Y";
    ls->enumVideoEmuHq2x        = "⭿~";

    ls->enumVideoSize1x         = "з - 320x200";
    ls->enumVideoSize2x         = "⭿ - 640x400";
    ls->enumVideoSizeFullscreen = "ù";

    ls->enumVideoDrvDirectDrawHW = "DirectDraw w[t"; 
    ls->enumVideoDrvDirectDraw  = "DirectDraw";
    ls->enumVideoDrvGDI         = "GDI";

    ls->enumVideoFrameskip0     = "L";
    ls->enumVideoFrameskip1     = "1 e";
    ls->enumVideoFrameskip2     = "2 ӵe";
    ls->enumVideoFrameskip3     = "3 ӵe";
    ls->enumVideoFrameskip4     = "4 ӵe";
    ls->enumVideoFrameskip5     = "5 ӵe";

    ls->enumSoundDrvNone        = "S";
    ls->enumSoundDrvWMM         = "WMM Xʵ{";
    ls->enumSoundDrvDirectX     = "DirectX Xʵ{";

    ls->enumEmuSync1ms          = "PB MSX sz";
    ls->enumEmuSyncAuto         = "۰ (ֳt)";
    ls->enumEmuSyncNone         = "L";
    ls->enumEmuSyncVblank       = "PB PC ť";
    ls->enumEmuAsyncVblank      = "DPB PC ť";             // New in 2.5

    ls->enumControlsJoyNone     = "L";
    ls->enumControlsJoyMouse    = "ƹ";
    ls->enumControlsJoyTetris2Dongle = "Xù 2 Ҳ";
    ls->enumControlsJoyTMagicKeyDongle = "MagicKey Dongle";             // New in 2.5
    ls->enumControlsJoy2Button = "2 sn";                   // New in 2.5
    ls->enumControlsJoyGunstick  = "Gun Stick uj";                         // New in 2.5
    ls->enumControlsJoyAsciiLaser="ASCII Plus-X ׵̹pguj";      // New in 2.5
    ls->enumControlsJoyColeco = "ColecoVision n";                // New in 2.5

    ls->enumDiskMsx35Dbl9Sect    = "MSX 3.5 , 9 Ӻϰ";     // New in 2.5
    ls->enumDiskMsx35Dbl8Sect    = "MSX 3.5 , 8 Ӻϰ";     // New in 2.5
    ls->enumDiskMsx35Sgl9Sect    = "MSX 3.5 歱, 9 Ӻϰ";     // New in 2.5
    ls->enumDiskMsx35Sgl8Sect    = "MSX 3.5 歱, 8 Ӻϰ";     // New in 2.5
    ls->enumDiskSvi525Dbl        = "SVI-328 5.25 ";           // New in 2.5
    ls->enumDiskSvi525Sgl        = "SVI-328 5.25 歱";           // New in 2.5


    //----------------------
    // Configuration related lines
    //----------------------

    ls->confTitle                = "blueMSX - زպAs边";
    ls->confConfigText           = "]w";
    ls->confSlotLayout           = "Ѱtm";
    ls->confMemory               = "O";
    ls->confChipEmulation        = "";
    ls->confChipExtras          = "B~";

    ls->confOpenRom             = "} ROM M";
    ls->confSaveTitle            = "blueMSX - xs]w";
    ls->confSaveText             = "zTwnмgس]w:";
    ls->confSaveAsTitle         = "ts]w...";
    ls->confSaveAsMachineName    = "ئW:";
    ls->confDiscardTitle         = "blueMSX - ]w";
    ls->confExitSaveTitle        = "blueMSX - }]ws边";
    ls->confExitSaveText         = "zTwnثe]wܧܡH";

    ls->confSlotLayoutGB         = "ѥ ";
    ls->confSlotExtSlotGB        = "~ ";
    ls->confBoardGB             = "DO ";
    ls->confBoardText           = "DO:";
    ls->confSlotPrimary          = "Dn";
    ls->confSlotExpanded         = "wXi (|Ӥl)";

    ls->confSlotCart             = "dX";
    ls->confSlot                = "";
    ls->confSubslot             = "l";

    ls->confMemAdd               = "[J...";
    ls->confMemEdit              = "s...";
    ls->confMemRemove            = "";
    ls->confMemSlot              = "";
    ls->confMemAddresss          = "}";
    ls->confMemType              = "";
    ls->confMemRomImage          = "ROM M";
    
    ls->confChipVideoGB          = "T ";
    ls->confChipVideoChip        = "T:";
    ls->confChipVideoRam         = "T RAM:";
    ls->confChipSoundGB          = " ";

    ls->confCmosGB                = "CMOS ";
    ls->confCmosEnable            = " ҥ CMOS";
    ls->confCmosBattery           = " ϥΥRqq";

    ls->confCpuFreqGB            = "CPU Wv ";
    ls->confZ80FreqText          = "Z80 Wv:";
    ls->confR800FreqText         = "R800 Wv:";
    ls->confFdcGB                = "nϺб ";
    ls->confCFdcNumDrivesText    = "ϺоN:";

    ls->confEditMemTitle         = "blueMSX - s";
    ls->confEditMemGB            = "Ӹ` ";
    ls->confEditMemType          = ":";
    ls->confEditMemFile          = "ɮ:";
    ls->confEditMemAddress       = "}";
    ls->confEditMemSize          = "jp";
    ls->confEditMemSlot          = "";


    //----------------------
    // Shortcut lines
    //----------------------

    ls->shortcutKey             = "ֳt";
    ls->shortcutDescription     = "|";

    ls->shortcutSaveConfig      = "blueMSX - xs]w";
    ls->shortcutOverwriteConfig = "zTwnмgֳt]w:";
    ls->shortcutExitConfig      = "blueMSX - }ֳts边";
    ls->shortcutDiscardConfig   = "zTwnثe]wܧܡH";
    ls->shortcutSaveConfigAs    = "blueMSX - tsֳt]w...";
    ls->shortcutConfigName      = "]wW:";
    ls->shortcutNewProfile      = "< s]w >";
    ls->shortcutConfigTitle     = "blueMSX - ֳts边";
    ls->shortcutAssign          = "";
    ls->shortcutPressText       = "ЫUֳt:";
    ls->shortcutScheme          = "tm:";
    ls->shortcutCartInsert1     = "JdX 1";
    ls->shortcutCartRemove1     = "dX 1";
    ls->shortcutCartInsert2     = "JdX 2";
    ls->shortcutCartRemove2     = "dX 2";
    ls->shortcutSpecialMenu1    = "ܥdX 1 B~ ROM ";
    ls->shortcutSpecialMenu2    = "ܥdX 2 B~ ROM ";
    ls->shortcutCartAutoReset   = "dXJ᭫m";
    ls->shortcutDiskInsertA     = "JϤ A";
    ls->shortcutDiskDirInsertA  = "Jؿ@Ϥ A";
    ls->shortcutDiskRemoveA     = "hXϤ A";
    ls->shortcutDiskChangeA     = "ֳtܧϤ A";
    ls->shortcutDiskAutoResetA  = "Ϥ A J᭫m";
    ls->shortcutDiskInsertB     = "JϤ B";
    ls->shortcutDiskDirInsertB  = "Jؿ@Ϥ B";
    ls->shortcutDiskRemoveB     = "hXϤ B";
    ls->shortcutCasInsert       = "Jϱa";
    ls->shortcutCasEject        = "hXϱa";
    ls->shortcutCasAutorewind   = "Nϱa۰ʰjaA";
    ls->shortcutCasReadOnly     = "NϱaŪA";
    ls->shortcutCasSetPosition  = "]wϱam";
    ls->shortcutCasRewind       = "ϱaja";
    ls->shortcutCasSave         = "xsϱaM";
    ls->shortcutPrnFormFeed     = "L";
    ls->shortcutCpuStateLoad    = "J CPU A";
    ls->shortcutCpuStateSave    = "xs CPU A";
    ls->shortcutCpuStateQload   = "ֳtJ CPU A";
    ls->shortcutCpuStateQsave   = "ֳtxs CPU A";
    ls->shortcutAudioCapture    = "}l/T^";
    ls->shortcutScreenshotOrig  = "ù (l)";
    ls->shortcutScreenshotSmall = "Loù (p)";
    ls->shortcutScreenshotLarge = "Loù (j)";
    ls->shortcutQuit            = " blueMSX";
    ls->shortcutRunPause        = "/Ȱ";
    ls->shortcutStop            = "";
    ls->shortcutResetHard       = "w魫m";
    ls->shortcutResetSoft       = "n魫m";
    ls->shortcutResetClean      = "@뭫m";
    ls->shortcutSizeSmall       = "]wpjp";
    ls->shortcutSizeNormal      = "]wзǵjp";
    ls->shortcutSizeFullscreen  = "]wù";
    ls->shortcutSizeMinimized   = "̤pƵ";
    ls->shortcutToggleFullscren = "ù";
    ls->shortcutVolumeIncrease  = "Wjq";
    ls->shortcutVolumeDecrease  = "pq";
    ls->shortcutVolumeMute      = "Rq";
    ls->shortcutVolumeStereo    = "歵/n";
    ls->shortcutSwitchMsxAudio  = " MSX Ķ}";
    ls->shortcutSwitchFront     = " Panasonic eݶ}";
    ls->shortcutSwitchPause     = "Ȱ}";
    ls->shortcutToggleMouseLock = "ƹw";
    ls->shortcutEmuSpeedMax     = "̰t";
    ls->shortcutEmuSpeedToggle  = "̰t";
    ls->shortcutEmuSpeedNormal  = "зǼt";
    ls->shortcutEmuSpeedInc     = "W[t";
    ls->shortcutEmuSpeedDec     = "Ct";
    ls->shortcutThemeSwitch     = "GDD";
    ls->shortcutShowEmuProp     = "ܼe";
    ls->shortcutShowVideoProp   = "ܵTe";
    ls->shortcutShowAudioProp   = "ܭTe";
    ls->shortcutShowCtrlProp    = "ܱe";
    ls->shortcutShowPerfProp    = "ܮįऺe";
    ls->shortcutShowSettProp    = "ܳ]we";
    ls->shortcutShowPorts       = "ܳs𤺮e";
    ls->shortcutShowLanguage    = "ܻyܤ";
    ls->shortcutShowMachines    = "ܾؽs边";
    ls->shortcutShowShortcuts   = "ܧֳts边";
    ls->shortcutShowKeyboard    = "Ls边";
    ls->shortcutShowMixer       = "ܲVX";
    ls->shortcutShowDebugger    = "ܰu";
    ls->shortcutShowTrainer     = "ܭקﾹ";
    ls->shortcutShowHelp        = "ܻܤ";
    ls->shortcutShowAbout       = "ܤ";
    ls->shortcutShowFiles       = "ɮפe";
    ls->shortcutToggleSpriteEnable = "/ëeϼh";
    ls->shortcutToggleFdcTiming = "ҥ/γnϺоp";
    ls->shortcutToggleCpuTrace  = "ҥ/ CPU l";


    //----------------------
    // Keyboard config lines
    //----------------------

    ls->keyconfigSelectedKey    = ":";
    ls->keyconfigMappedTo       = ":";
    ls->keyconfigMappingScheme  = "tm:";

    
    //----------------------
    // Rom type lines
    //----------------------

    ls->romTypeStandard         = "Standard";
    ls->romTypeMsxdos2          = "MSXDOS 2";
    ls->romTypeKonamiScc        = "Konami SCC";
    ls->romTypeKonami           = "Konami";
    ls->romTypeAscii8           = "ASCII 8";
    ls->romTypeAscii16          = "ASCII 16";
    ls->romTypeGameMaster2      = "Game Master 2 (SRAM)";
    ls->romTypeAscii8Sram       = "ASCII 8 (SRAM)";
    ls->romTypeAscii16Sram      = "ASCII 16 (SRAM)";
    ls->romTypeRtype            = "R-Type";
    ls->romTypeCrossblaim       = "Cross Blaim";
    ls->romTypeHarryFox         = "Harry Fox";
    ls->romTypeMajutsushi       = "Konami Majutsushi";
    ls->romTypeZenima80         = "Zemina 80 in 1";
    ls->romTypeZenima90         = "Zemina 90 in 1";
    ls->romTypeZenima126        = "Zemina 126 in 1";
    ls->romTypeScc              = "SCC";
    ls->romTypeSccPlus          = "SCC+";
    ls->romTypeSnatcher         = "The Snatcher";
    ls->romTypeSdSnatcher       = "SD Snatcher";
    ls->romTypeSccMirrored      = "SCC mirrored";
    ls->romTypeSccExtended      = "SCC extended";
    ls->romTypeFmpac            = "FMPAC (SRAM)";
    ls->romTypeFmpak            = "FMPAK";
    ls->romTypeKonamiGeneric    = "Konami Generic";
    ls->romTypeSuperPierrot     = "Super Pierrot";
    ls->romTypeMirrored         = "Mirrored ROM";
    ls->romTypeNormal           = "Normal ROM";
    ls->romTypeDiskPatch        = "Normal + Disk Patch";
    ls->romTypeCasPatch         = "Normal + Cassette Patch";
    ls->romTypeTc8566afFdc      = "TC8566AF Disk Controller";
    ls->romTypeMicrosolFdc      = "Microsol Disk Controller";
    ls->romTypeNationalFdc      = "National Disk Controller";
    ls->romTypePhilipsFdc       = "Philips Disk Controller";
    ls->romTypeSvi738Fdc        = "SVI-738 Disk Controller";
    ls->romTypeMappedRam        = "Mapped RAM";
    ls->romTypeMirroredRam1k    = "1kB Mirrored RAM";
    ls->romTypeNormalRam        = "Normal RAM";
    ls->romTypeKanji            = "Kanji";
    ls->romTypeHolyQuran        = "Holy Quran";
    ls->romTypeMatsushitaSram   = "Matsushita SRAM";
    ls->romTypePanasonic16      = "Panasonic 16kB SRAM";
    ls->romTypePanasonic32      = "Panasonic 32kB SRAM";
    ls->romTypeBunsetsu         = "Bunsetsu";
    ls->romTypeJisyo            = "Jisyo";
    ls->romTypeKanji12          = "Kanji12";
    ls->romTypeNationalSram     = "National (SRAM)";
    ls->romTypeS1985            = "S1985";
    ls->romTypeS1990            = "S1990";
    ls->romTypeTurborPause      = "Turbo-R Pause";
    ls->romTypeF4deviceNormal   = "F4 Device Normal";
    ls->romTypeF4deviceInvert   = "F4 Device Inverted";
    ls->romTypeMsxMidi          = "MSX-MIDI";
    ls->romTypeTurborTimer      = "Turbo-R Timer";
    ls->romTypeKoei             = "Koei (SRAM)";
    ls->romTypeBasic            = "Basic ROM";
    ls->romTypeHalnote          = "Halnote";
    ls->romTypeLodeRunner       = "Lode Runner";
    ls->romTypeNormal4000       = "Normal 4000h";
    ls->romTypeNormalC000       = "Normal C000h";
    ls->romTypeKonamiSynth      = "Konami Synthesizer";
    ls->romTypeKonamiKbdMast    = "Konami Keyboard Master";
    ls->romTypeKonamiWordPro    = "Konami Word Pro";
    ls->romTypePac              = "PAC (SRAM)";
    ls->romTypeMegaRam          = "MegaRAM";
    ls->romTypeMegaRam128       = "128kB MegaRAM";
    ls->romTypeMegaRam256       = "256kB MegaRAM";
    ls->romTypeMegaRam512       = "512kB MegaRAM";
    ls->romTypeMegaRam768       = "768kB MegaRAM";
    ls->romTypeMegaRam2mb       = "2MB MegaRAM";
    ls->romTypeExtRam           = "External RAM";
    ls->romTypeExtRam512        = "512kB External RAM";
    ls->romTypeExtRam1mb        = "1MB External RAM";
    ls->romTypeExtRam2mb        = "2MB External RAM";
    ls->romTypeExtRam4mb        = "4MB External RAM";
    ls->romTypeMsxMusic         = "MSX Music";
    ls->romTypeMsxAudio         = "MSX Audio";
    ls->romTypeY8950            = "Y8950";
    ls->romTypeMoonsound        = "Moonsound";
    ls->romTypeSvi328Cart       = "SVI-328 Cartridge";
    ls->romTypeSvi328Fdc        = "SVI-328 Disk Controller";
    ls->romTypeSvi328Prn        = "SVI-328 Printer";
    ls->romTypeSvi328Uart       = "SVI-328 Serial Port";
    ls->romTypeSvi328col80      = "SVI-328 80 Column Card";
    ls->romTypeSvi727col80      = "SVI-727 80 Column Card";
    ls->romTypeColecoCart       = "Coleco Cartridge";
    ls->romTypeSg1000Cart       = "SG-1000 Cartridge";
    ls->romTypeTheCastle        = "The Castle";
    ls->romTypeSonyHbi55        = "Sony HBI-55";
    ls->romTypeMsxPrinter       = "MSX Printer";
    ls->romTypeTurborPcm        = "Turbo-R PCM Chip";
    ls->romTypeGameReader       = "Sunrise GameReader";
    ls->romTypeSunriseIde       = "Sunrise IDE";
    ls->romTypeBeerIde          = "Beer IDE";
    ls->romTypeGide             = "GIDE";
    ls->romTypeVmx80            = "Microsol VMX-80";
    ls->romTypeNms8280Digitiz   = "Philips NMS-8280 Digitizer";
    ls->romTypeHbiV1Digitiz     = "Sony HBI-V1 Digitizer";
    ls->romTypeFmdas            = "F&M Direct Assembler System";
    ls->romTypeSfg01            = "Yamaha SFG-01";
    ls->romTypeSfg05            = "Yamaha SFG-05";
    
    
    //----------------------
    // Debug type lines
    // Note: Only needs translation if debugger is translated
    //----------------------

    ls->dbgMemVisible           = "iO";
    ls->dbgMemRamNormal         = "з";
    ls->dbgMemRamMapped         = "";
    ls->dbgMemVram              = "VRAM";
    ls->dbgMemYmf278            = "YMF278  RAM";
    ls->dbgMemAy8950            = "AY8950  RAM";
    ls->dbgMemScc               = "O";

    ls->dbgCallstack            = "Is|";

    ls->dbgRegs                 = "Ȧs";
    ls->dbgRegsCpu              = "CPU Ȧs";
    ls->dbgRegsYmf262           = "YMF262 Ȧs";
    ls->dbgRegsYmf278           = "YMF278 Ȧs";
    ls->dbgRegsAy8950           = "AY8950 Ȧs";
    ls->dbgRegsYm2413           = "YM2413 Ȧs";

    ls->dbgDevRamMapper         = "RAM ";
    ls->dbgDevRam               = "RAM";
    ls->dbgDevIdeBeer           = "Beer IDE";
    ls->dbgDevIdeGide           = "GIDE";
    ls->dbgDevF4Device          = "F4 ˸m";
    ls->dbgDevFmpac             = "FMPAC";
    ls->dbgDevFmpak             = "FMPAK";
    ls->dbgDevKanji             = "Kanji";
    ls->dbgDevKanji12           = "Kanji 12";
    ls->dbgDevKonamiKbd         = "Konami Keyboard Master";
    ls->dbgDevKorean80          = "Korean 80";
    ls->dbgDevKorean90          = "Korean 90";
    ls->dbgDevKorean128         = "Korean 128";
    ls->dbgDevMegaRam           = "Mega RAM";
    ls->dbgDevFdcMicrosol       = "Microsol FDC";
    ls->dbgDevMoonsound         = "Moonsound";
    ls->dbgDevMsxAudio          = "MSX ";
    ls->dbgDevMsxAudioMidi      = "MSX  MIDI";
    ls->dbgDevMsxMusic          = "MSX ";
    ls->dbgDevPrinter           = "L";
    ls->dbgDevRs232             = "RS232";
    ls->dbgDevS1990             = "S1990";
    ls->dbgDevSfg05             = "Yamaha SFG-05";
    ls->dbgDevHbi55             = "Sony HBI-55";
    ls->dbgDevSviFdc            = "SVI FDC";
    ls->dbgDevSviPrn            = "SVI L";
    ls->dbgDevSvi80Col          = "SVI 80 ";
    ls->dbgDevPcm               = "PCM";
    ls->dbgDevMatsushita        = "Matsushita";
    ls->dbgDevS1985             = "S1985";
    ls->dbgDevCrtc6845          = "CRTC6845";
    ls->dbgDevTms9929A          = "TMS9929A";
    ls->dbgDevTms99x8A          = "TMS99x8A";
    ls->dbgDevV9938             = "V9938";
    ls->dbgDevV9958             = "V9958";
    ls->dbgDevZ80               = "Z80";
    ls->dbgDevMsxMidi           = "MSX MIDI";
    ls->dbgDevPpi               = "PPI";
    ls->dbgDevRtc               = "RTC";
    ls->dbgDevTrPause           = "TR Ȱ";
    ls->dbgDevAy8910            = "AY8910 PSG";
    ls->dbgDevScc               = "SCC";


    //----------------------
    // Debug type lines
    // Note: Can only be translated to european languages
    //----------------------

    ls->aboutScrollThanksTo     = "Special thanks to: ";
    ls->aboutScrollAndYou       = "and YOU !!!!";
};

#endif
