/*****************************************************************************
** $Source: /cvsroot/bluemsx/blueMSX/Src/Language/LanguageJapanese.h,v $
**
** $Revision: 1.37 $
**
** $Date: 2006/07/07 00:20:19 $
**
** More info: http://www.bluemsx.com
**
** Copyright (C) 2003-2004 Daniel Vik
**
**  This software is provided 'as-is', without any express or implied
**  warranty.  In no event will the authors be held liable for any damages
**  arising from the use of this software.
**
**  Permission is granted to anyone to use this software for any purpose,
**  including commercial applications, and to alter it and redistribute it
**  freely, subject to the following restrictions:
**
**  1. The origin of this software must not be misrepresented; you must not
**     claim that you wrote the original software. If you use this software
**     in a product, an acknowledgment in the product documentation would be
**     appreciated but is not required.
**  2. Altered source versions must be plainly marked as such, and must not be
**     misrepresented as being the original software.
**  3. This notice may not be removed or altered from any source distribution.
**
******************************************************************************
*/
#ifndef LANGUAGE_JAPANESE_H
#define LANGUAGE_JAPANESE_H

#include "LanguageStrings.h"

void langInitJapanese(LanguageStrings* ls) 
{
    //----------------------
    // Language lines
    //----------------------

    ls->langChineseSimplified   = "(ȑ̎)";         // New in 2.5
    ls->langChineseTraditional  = "(ɑ̎)";        // New in 2.5
    ls->langDutch               = "I_";                      // New in 2.5
    ls->langEnglish             = "p";                    // New in 2.5
    ls->langFinnish             = "tBh";                    // New in 2.5
    ls->langFrench              = "tX";                     // New in 2.5
    ls->langGerman              = "hCc";                     // New in 2.5
    ls->langItalian             = "C^A";                    // New in 2.5
    ls->langJapanese            = "{";                   // New in 2.5
    ls->langKorean              = "؍";                     // New in 2.5
    ls->langPolish              = "|[h";                     // New in 2.5
    ls->langPortuguese          = "|gK";                 // New in 2.5
    ls->langSpanish             = "XyC";                    // New in 2.5
    ls->langSwedish             = "XEF[f";                    // New in 2.5


    //----------------------
    // Generic lines
    //----------------------

    ls->textDevice              = "foCX:"; 
    ls->textFilename            = "t@C:"; 
    ls->textFile                = "t@C"; 
    ls->textNone                = "Ȃ"; 
    ls->textUnknown             = "s";                            // New in 2.5


    //----------------------
    // Warning and Error lines
    //----------------------

    ls->warningTitle            = "blueMSX - x";
    ls->warningDiscardChanges   = "\\܂A낵ł?";
    ls->warningOverwriteFile    = "̃t@Cɏ㏑Ă낵ł:"; // New in 2.5
    ls->errorTitle              = "blueMSX - G[";
    ls->errorEnterFullscreen    = "tXN[[hɂł܂B          \n";
    ls->errorDirectXFailed      = "DirectX IuWFNg쐬ł܂B          \nGDIɎgp܂B\nOtBbNJ[h̐ݒmFĂB";
    ls->errorNoRomInZip         = "zipt@C̒.romt@C܂B";
    ls->errorNoDskInZip         = "zipt@C̒.dskt@C܂B";
    ls->errorNoCasInZip         = "zipt@C̒.cast@C܂B";
    ls->errorNoHelp             = "blueMSX ̃wvt@C܂B";
    ls->errorStartEmu           = "blueMSX ̊JnɎs܂B";
    ls->errorPortableReadonly   = "|[^ufoCX͓ǍpłB";        // New in 2.5


    //----------------------
    // File related lines
    //----------------------

    ls->fileRom                 = "ROM C[W"; 
    ls->fileAll                 = "SẴt@C"; 
    ls->fileCpuState            = "CPU Xe[g"; 
    ls->fileDisk                = "fBXNC[W"; 
    ls->fileCas                 = "e[vC[W"; 


    //----------------------
    // Menu related lines
    //----------------------

    ls->menuNoRecentFiles       = "(gpt@CȂ)";
    ls->menuInsert              = "}";
    ls->menuEject               = "o";

    ls->menuCartGameReader      = "Q[[_[ɐڑ";                        // New in 2.5
    ls->menuCartIde             = "IDE J[gbW";                                // New in 2.5
    ls->menuCartBeerIde         = "Beer IDE";                               // New in 2.5
    ls->menuCartGIde            = "GIDE";                               // New in 2.5
    ls->menuCartSunriseIde      = "Sunrise IDE";                            // New in 2.5
    ls->menuCartSCC              = "SCC J[gbW";
    ls->menuCartSCCPlus          = "SCC+ J[gbW";
    ls->menuCartFMPac           = "FMPAC+ J[gbW";
    ls->menuCartPac             = "PAC+ J[gbW";
    ls->menuCartHBI55           = "Sony HBI-55 J[gbW";
    ls->menuCartInsertSpecial   = "J[gbW";                     // New in 2.5
    ls->menuCartMegaRam         = "KRAM J[gbW";                            // New in 2.5
    ls->menuCartExternalRam     = "ORAM J[gbW"; 

    ls->menuDiskInsertNew       = "VKfBXNC[W}";              // New in 2.5
    ls->menuDiskDirInsert       = "fBNg}"; 
    ls->menuDiskAutoStart       = "}/oナZbg";
    ls->menuCartAutoReset       = "}/oナZbg";

    ls->menuCasRewindAfterInsert = "}㊪߂";
    ls->menuCasUseReadOnly       = "e[vǂݍݐpɂ";
    ls->lmenuCasSaveAs           = "e[vʖŕۑ...";
    ls->menuCasSetPosition      = "e[vʒuZbg";
    ls->menuCasRewind           = "߂";
    
    ls->menuPrnFormfeed         = ""; 

    ls->menuZoomNormal          = "WTCY";
    ls->menuZoomDouble          = "2{TCY";
    ls->menuZoomFullscreen      = "tXN[";
    
    ls->menuPropsEmulation      = "G~[V";
    ls->menuPropsVideo          = "rfI";
    ls->menuPropsSound          = "TEh";
    ls->menuPropsControls       = "Rg[";
    ls->menuPropsPerformance    = "ptH[}X";
    ls->menuPropsSettings        = "̑";
    ls->menuPropsFile           = "t@C";
    ls->menuPropsLanguage       = "";
    ls->menuPropsPorts          = "|[g";
    
    ls->menuVideoChipAutodetect = "rfI`bv̎F";
    ls->menuVideoSource         = "rfIo";                   // New in 2.5
    ls->menuVideoSourceDefault  = "rfIo͂܂";      // New in 2.5    
    ls->menuVideoInSource       = "rfI";                    // New in 2.5
    ls->menuVideoInBitmap       = "rbg}bvt@C";                        // New in 2.5

    ls->menuHelpHelp            = "wvڎ";
    ls->menuHelpAbout           = "blueMSXɂ";

    ls->menuFileCart            = "ROMXbg";
    ls->menuFileDisk            = "fBXNhCu";
    ls->menuFileCas             = "JZbge[v";
    ls->menuFilePrn             = "v^["; 
    ls->menuFileLoadState       = "CPUXe[gǍ";
    ls->menuFileSaveState       = "CPUXe[gۑ";
    ls->menuFileQLoadState      = "NCbN[h";
    ls->menuFileQSaveState      = "NCbNZ[u";
    ls->menuFileCaptureAudio    = "^";
    ls->menuFileScreenShot      = "XN[Vbg";
    ls->menuFileExit            = "I";

    ls->menuFileHarddisk        = "n[hfBXN";                          // New in 2.5
    ls->menuFileHarddiskNoPesent= "n[hfBXN͖ł";             // New in 2.5

    ls->menuRunRun              = "s";
    ls->menuRunPause            = "f";
    ls->menuRunStop             = "~";
    ls->menuRunSoftReset        = "\\tgZbg";
    ls->menuRunHardReset        = "n[hZbg";
    ls->menuRunCleanReset       = "N[Zbg";

    ls->menuToolsMachine         = "}V\\ҏW";
    ls->menuToolsShortcuts      = "V[gJbg\\ҏW";
    ls->menuToolsKeyboard       = "L[{[h\\ҏW";
    ls->menuToolsMixer          = "~LT["; 
    ls->menuToolsDebugger       = "fobK[";               // New in 2.5
    ls->menuToolsTrainer        = "g[i[";                // New in 2.5
    ls->menuToolsTraceLogger    = "g[XK[";           // New in 2.5

    ls->menuFile                = "t@C";
    ls->menuRun                 = "s";
    ls->menuWindow              = "EBhE";
    ls->menuOptions             = "IvV";
    ls->menuTools                = "c[";
    ls->menuHelp                = "wv";


    //----------------------
    // Dialog related lines
    //----------------------

    ls->dlgOK                   = "OK";
    ls->dlgOpen                  = "J";
    ls->dlgCancel               = "LZ";
    ls->dlgSave                 = "ۑ";
    ls->dlgSaveAs               = "ʖۑ...";
    ls->dlgRun                  = "N";
    ls->dlgClose                = "";

    ls->dlgLoadRom              = "blueMSX - romC[WI";
    ls->dlgLoadDsk              = "blueMSX - dskC[WI";
    ls->dlgLoadCas              = "blueMSX - casC[WI";
    ls->dlgLoadRomDskCas        = "blueMSX - rom, dsk, ܂casC[WI";
    ls->dlgLoadRomDesc          = "ǂݍromC[W:";
    ls->dlgLoadDskDesc          = "ǂݍdskC[W:";
    ls->dlgLoadCasDesc          = "ǂݍcasC[W:";
    ls->dlgLoadRomDskCasDesc    = "ǂݍrom, dsk, casC[W:";
    ls->dlgLoadState            = "CPUXe[g ǂݍ";
    ls->dlgSaveState            = "CPUXe[g ۑ";
    ls->dlgSaveCassette          = "blueMSX - e[vۑ";
    ls->dlgInsertRom1           = "ROM C[WXbg1ɑ}";
    ls->dlgInsertRom2           = "ROM C[WXbg2ɑ}";
    ls->dlgInsertDiskA          = "fBXNC[WhCuAɑ}";
    ls->dlgInsertDiskB          = "fBXNC[WhCuBɑ}";
    ls->dlgInsertHarddisk       = "n[hfBXN}";                   // New in 2.5
    ls->dlgInsertCas            = "JZbge[v}";
    ls->dlgRomType              = "ROM ^Cv:"; 

    ls->dlgTapeTitle            = "blueMSX - JZbge[v";
    ls->dlgTapeFrameText        = "e[vʒu";
    ls->dlgTapeCurrentPos       = "݈ʒu";
    ls->dlgTapeTotalTime        = "g[^^C";
    ls->dlgTapeSetPosText        = "e[vʒu:";
    ls->dlgTapeCustom            = "JX^t@C\\";
    ls->dlgTabPosition           = "ʒu";
    ls->dlgTabType               = "^Cv";
    ls->dlgTabFilename           = "t@C";
    ls->dlgZipReset             = "}ナZbg";

    ls->dlgAboutTitle           = "blueMSX ɂ";

    ls->dlgLangLangText         = "blueMSX Ŏgp錾IĂ";
    ls->dlgLangLangTitle        = "blueMSX - ";

    ls->dlgAboutAbout           = "̃\\tgɂ\r\n===========";
    ls->dlgAboutVersion         = "o[W:";
    ls->dlgAboutBuildNumber     = "rh:";
    ls->dlgAboutBuildDate       = "rht:";
    ls->dlgAboutCreat           = ":\tDaniel Vik";
    ls->dlgAboutDevel           = "J\r\n=====";
    ls->dlgAboutThanks          = "͂X\r\n=============";
    ls->dlgAboutLisence         = "CZX\r\n"
                                  "======\r\n\r\n"
                                  "̃\\tgEFA͌̂܂܂̏ԂŔzẑłAI܂"
                                  "َI킸؂̕ۏ؂͂܂B܂Ã\\tgEFA̎gp̌ʐ"
                                  "Ȃ鑹QɂĂA҂͐ӔC𕉂܂B\r\n\r\n"
                                  "ڂɂẮAwww.bluemsx.com B";

    ls->dlgSavePreview          = "vr[\\";
    ls->dlgSaveDate             = "Z[u:";


    //----------------------
    // Properties related lines
    //----------------------

    ls->propTitle               = "blueMSX - ݒ";
    ls->propEmulation           = "G~[V";
    ls->propVideo               = "rfI";
    ls->propSound               = "TEh";
    ls->propControls            = "Rg[";
    ls->propPerformance         = "ptH[}X";
    ls->propSettings             = "̑";
    ls->propFile                = "t@C"; 
    ls->propPorts               = "|[g";
    
    ls->propEmuGeneralGB        = "  ";
    ls->propEmuFamilyText       = "}V\\:";
    ls->propEmuMemoryGB         = "  ";
    ls->propEmuRamSizeText      = "CRAM:";
    ls->propEmuVramSizeText     = "VRAM:";
    ls->propEmuSpeedGB          = " Xs[h ";
    ls->propEmuSpeedText        = "Xs[h:";
    ls->propEmuFrontSwitchGB     = " pi\\jbNXCb` "; 
    ls->propEmuFrontSwitch       = " O[\\tg]XCb`"; 
    ls->propEmuFdcTiming        = " FDDhCũ^C~O𖳌";
    ls->propEmuPauseSwitch      = " |[YXCb`";
    ls->propEmuAudioSwitch       = " MSX-AUDIO J[gbWXCb`"; 
    ls->propVideoFreqText       = "rfIg:";
    ls->propVideoFreqAuto       = "";
    ls->propSndOversampleText   = "TvO:";
    ls->propSndYkInGB           = " YK-01/YK-10/YK-20 C ";                // New in 2.5
    ls->propSndMidiInGB         = " MIDI C "; 
    ls->propSndMidiOutGB        = " MIDI AEg "; 
    ls->propSndMidiChannel      = "MIDI `l:";                      // New in 2.5
    ls->propSndMidiAll          = "S";                                // New in 2.5

    ls->propMonMonGB            = " j^[ ";
    ls->propMonTypeText         = "j^[̎:";
    ls->propMonEmuText          = "j^[G~[V:";
    ls->propVideoTypeText       = "f:";
    ls->propWindowSizeText      = "EBhETCY:";
    ls->propMonHorizStretch      = " Ɋg";  
    ls->propMonVertStretch       = " Ɋg";
    ls->propMonDeInterlace      = " C^[[X";
    ls->propBlendFrames         = " cc";           // New in 2.5
    ls->propMonBrightness       = "邳:";
    ls->propMonContrast         = "RgXg:";
    ls->propMonSaturation       = "ʓx:";
    ls->propMonGamma            = "K}:";
    ls->propMonScanlines        = " XLC:";
    ls->propMonColorGhosting    = " RFW[^:";
    ls->propMonEffectsGB        = " GtFNg "; 

    ls->propPerfVideoDrvGB      = " rfIhCo ";
    ls->propPerfVideoDispDrvText= "fBXvChCo:";
    ls->propPerfFrameSkipText   = "t[XLbv:";
    ls->propPerfAudioDrvGB      = " TEhhCo ";
    ls->propPerfAudioDrvText    = "TEhhCo:";
    ls->propPerfAudioBufSzText  = "TEhobt@:";
    ls->propPerfEmuGB           = " rfĨG~[V ";
    ls->propPerfSyncModeText    = "[h:";
    ls->propFullscreenResText   = "tXN[̉𑜓x:";

    ls->propSndChipEmuGB        = " TEh̃G~[V ";
    ls->propSndMsxMusic         = " MSX-MUSIC";
    ls->propSndMsxAudio         = " MSX-AUDIO";
    ls->propSndMoonsound         = " Moonsound";
    ls->propSndMt32ToGm         = " MT-32̉FGMɊ蓖"; 

    ls->propPortsLptGB          = " p|[g ";
    ls->propPortsComGB          = " VA|[g ";
    ls->propPortsLptText        = "|[g:";
    ls->propPortsCom1Text       = "|[g 1:";
    ls->propPortsNone           = "Ȃ";
    ls->propPortsSimplCovox     = "SiMPL / Covox DAC";
    ls->propPortsFile           = "Ot@C֏o"; 
    ls->propPortsComFile        = "Ot@C֏o"; 
    ls->propPortsOpenLogFile    = "Ot@CJ"; 
    ls->propPortsEmulateMsxPrn  = "G~[g:"; 

    ls->propSetFileHistoryGB     = " t@CqXg ";
    ls->propSetFileHistorySize   = "t@CqXǧ:";
    ls->propSetFileHistoryClear  = "qXg̏";
    ls->propFileTypes            = " blueMSX Ŏgpt@C (rom, dsk, cas, sta) ֘At";
    ls->propWindowsEnvGB         = " Windows ";
    ls->propSetScreenSaver       = " blueMSX ̓쒆̓XN[Z[o𖳌ɂ";
    ls->propDisableWinKeys       = " Windows L[yъL[ blueMSX Ɋ蓖Ă"; 
    ls->propPriorityBoost        = " Windows  blueMSX ̗Dx";
    ls->propScreenshotPng       = " XN[Vbg PNG `Ŏ擾";  // New in 2.5
    ls->propClearHistory         = "qXg̏sĂ낵ł?"; 
    ls->propOpenRomGB           = " ROM C[W "; 
    ls->propDefaultRomType      = "ftHgROM^Cv:"; 
    ls->propGuessRomType        = "ROM^Cv";

    ls->propSettDefSlotGB       = " hbOhbv "; 
    ls->propSettDefSlots        = "ROM }Xbg:"; 
    ls->propSettDefSlot         = " Xbg"; 
    ls->propSettDefDrives       = "fBXN}hCu:"; 
    ls->propSettDefDrive        = " hCu"; 

    ls->propThemeGB             = " e[} ";
    ls->propTheme               = "e[}:";


    //----------------------
    // Dropdown related lines
    //----------------------

    ls->enumVideoMonColor       = "J[";
    ls->enumVideoMonGrey        = "mN";
    ls->enumVideoMonGreen       = "O[";
    ls->enumVideoMonAmber       = "Ao[";

    ls->enumVideoTypePAL        = "PAL";
    ls->enumVideoTypeNTSC       = "NTSC";

    ls->enumVideoEmuNone        = "Ȃ";
    ls->enumVideoEmuYc          = "Y/CP[u (N)";
    ls->enumVideoEmuMonitor     = "j^[";
    ls->enumVideoEmuYcBlur      = "Y/CP[u{mCY (N)";
    ls->enumVideoEmuComp        = "R|Wbg (sN)";
    ls->enumVideoEmuCompBlur    = "R|Wbg{mCY (sN)";
    ls->enumVideoEmuScale2x     = "Scale 2x";
    ls->enumVideoEmuHq2x        = "Hq2x";

    ls->enumVideoSize1x         = "WTCY - 320x200";
    ls->enumVideoSize2x         = "2{TCY - 640x400";
    ls->enumVideoSizeFullscreen = "tXN[";

    ls->enumVideoDrvDirectDrawHW= "DirectDraw n[hEFA";           // New in 2.5
    ls->enumVideoDrvDirectDraw  = "DirectDraw \\tgEFA";                     // New in 2.5
    ls->enumVideoDrvGDI         = "GDI";                            // New in 2.5

    ls->enumVideoFrameskip0     = "Ȃ";
    ls->enumVideoFrameskip1     = "1t[";
    ls->enumVideoFrameskip2     = "2t[";
    ls->enumVideoFrameskip3     = "3t[";
    ls->enumVideoFrameskip4     = "4t[";
    ls->enumVideoFrameskip5     = "5t[";

    ls->enumSoundDrvNone        = "Ȃ";
    ls->enumSoundDrvWMM         = "WMM";
    ls->enumSoundDrvDirectX     = "DirectX";
    
    ls->enumEmuSync1ms          = "MSXɓ"; 
    ls->enumEmuSyncAuto         = "I[g()"; 
    ls->enumEmuSyncNone         = "Ȃ"; 
    ls->enumEmuSyncVblank       = "Windowsɓ"; 
    ls->enumEmuAsyncVblank      = "񓯊";             // New in 2.5

    ls->enumControlsJoyNone     = "Ȃ";
    ls->enumControlsJoyMouse    = "}EX";
    ls->enumControlsJoyTetris2Dongle = "egX2 hO"; 
    ls->enumControlsJoyTMagicKeyDongle = "MagicKey hO";             // New in 2.5
    ls->enumControlsJoy2Button = "2{^ WCXeBbN";                   // New in 2.5
    ls->enumControlsJoyGunstick  = "KXeBbN";                         // New in 2.5
    ls->enumControlsJoyAsciiLaser="ASCII Plus-X ^[~l[^[[U[";      // New in 2.5
    ls->enumControlsJoyColeco = "ColecoVision WCXeBbN";                // New in 2.5

    ls->enumDiskMsx35Dbl9Sect    = "MSX 3.5C` 2DD (9ZN^)";     // New in 2.5
    ls->enumDiskMsx35Dbl8Sect    = "MSX 3.5C` 2DD (8ZN^)";     // New in 2.5
    ls->enumDiskMsx35Sgl9Sect    = "MSX 3.5C` 2D (9ZN^)";     // New in 2.5
    ls->enumDiskMsx35Sgl8Sect    = "MSX 3.5C` 2D (8ZN^)";     // New in 2.5
    ls->enumDiskSvi525Dbl        = "SVI-328 5.25C` 2DD";           // New in 2.5
    ls->enumDiskSvi525Sgl        = "SVI-328 5.25C` 2D";           // New in 2.5


    //----------------------
    // Configuration related lines
    //----------------------

    ls->confTitle                = "blueMSX - }V\\ҏW";
    ls->confConfigText           = "}V\\:";
    ls->confSlotLayout           = "Xbg";
    ls->confMemory               = "";
    ls->confChipEmulation        = "`bv";
    ls->confChipExtras          = "̑";

    ls->confOpenRom             = "ROMC[WJ"; 
    ls->confSaveTitle            = "blueMSX - }V\\ҏW̏I";
    ls->confSaveText             = "݂̍\\܂A낵ł?";    
    ls->confSaveAsTitle         = "ʖŕۑ...";
    ls->confSaveAsMachineName    = "\\:";
    ls->confDiscardTitle         = "blueMSX - }V\\ҏW";
    ls->confExitSaveTitle        = "blueMSX - }V\\ҏW̏I";
    ls->confExitSaveText         = "݂̍\\܂A낵ł?";

    ls->confSlotLayoutGB         = " Xbg\\ ";
    ls->confSlotExtSlotGB        = " OXbg ";
    ls->confBoardGB             = "  ";
    ls->confBoardText           = "Ճ^Cv:";
    ls->confSlotPrimary          = "{";
    ls->confSlotExpanded         = "g(4̊gXbg)";

    ls->confSlotCart             = "J[gbW";
    ls->confSlot                = "Xbg"; 
    ls->confSubslot             = "gXbg"; 

    ls->confMemAdd               = "ǉ...";
    ls->confMemEdit              = "ҏW...";
    ls->confMemRemove            = "폜";
    ls->confMemSlot              = "Xbg";
    ls->confMemAddresss          = "AhX";
    ls->confMemType              = "^Cv";
    ls->confMemRomImage          = "ROM C[W";
    
    ls->confChipVideoGB          = " rfI ";
    ls->confChipVideoChip        = "rfI`bv:";
    ls->confChipVideoRam         = "rfI RAM:";
    ls->confChipSoundGB          = " TEh ";

    ls->confCmosGB                = " CMOS "; 
    ls->confCmosEnable            = " CMOSL"; 
    ls->confCmosBattery           = " obe[L";

    ls->confCpuFreqGB            = " CPU g ";
    ls->confZ80FreqText          = "Z80 g:";
    ls->confR800FreqText         = "R800 g:";
    ls->confFdcGB                = " tbs[fBXNRg[[ ";
    ls->confCFdcNumDrivesText    = "hCu̐:";

    ls->confEditMemTitle         = "blueMSX - }bp̕ҏW";
    ls->confEditMemGB            = " }bp̏ڍ ";
    ls->confEditMemType          = "^Cv:";
    ls->confEditMemFile          = "t@C:";
    ls->confEditMemAddress       = "AhX:";
    ls->confEditMemSize          = "TCY:";
    ls->confEditMemSlot          = "Xbg:";


    //----------------------
    // Shortcut lines
    //----------------------

    ls->shortcutKey             = "@\\"; 
    ls->shortcutDescription     = "V[gJbg"; 

    ls->shortcutSaveConfig      = "blueMSX - \\̕ۑ";
    ls->shortcutOverwriteConfig = "V[gJbg\\㏑Ă낵ł?:";
    ls->shortcutExitConfig      = "blueMSX - V[gJbg\\ҏW̏I";
    ls->shortcutDiscardConfig   = "݂̍\\܂A낵ł?";
    ls->shortcutSaveConfigAs    = "blueMSX - V[gJbg\\ʖŕۑ";
    ls->shortcutConfigName      = "\\:";
    ls->shortcutNewProfile      = "< VKvt@C >";
    ls->shortcutConfigTitle     = "blueMSX - V[gJbg\\ҏW";
    ls->shortcutAssign          = "蓖";
    ls->shortcutPressText       = "V[gJbgL[͗:";
    ls->shortcutScheme          = "\\:";
    ls->shortcutCartInsert1     = "J[gbW1 }";
    ls->shortcutCartRemove1     = "J[gbW1 o";
    ls->shortcutCartInsert2     = "J[gbW2 }";
    ls->shortcutCartRemove2     = "J[gbW2 o";
    ls->shortcutSpecialMenu1    = "J[gbW1̂̑j[̕\\";
    ls->shortcutSpecialMenu2    = "J[gbW2̂̑j[̕\\";
    ls->shortcutCartAutoReset   = "J[gbW }/oナZbg";
    ls->shortcutDiskInsertA     = "fBXNA }";
    ls->shortcutDiskDirInsertA  = "fBNgfBXNAƂđ}"; 
    ls->shortcutDiskRemoveA     = "fBXNA o";
    ls->shortcutDiskChangeA     = "fBXNA ւ(v-DRIVE)";
    ls->shortcutDiskAutoResetA  = "fBXNA }/oナZbg";
    ls->shortcutDiskInsertB     = "fBXNB }";
    ls->shortcutDiskDirInsertB  = "fBNgfBXNBƂđ}";
    ls->shortcutDiskRemoveB     = "fBXNB o";
    ls->shortcutCasInsert       = "e[v }";
    ls->shortcutCasEject        = "e[v o";
    ls->shortcutCasAutorewind   = "e[v }㊪߂";
    ls->shortcutCasReadOnly     = "e[vǂݍݐpɂ";
    ls->shortcutCasSetPosition  = "e[vʒuZbg";
    ls->shortcutCasRewind       = "e[v߂";
    ls->shortcutCasSave         = "e[vC[Wۑ";
    ls->shortcutPrnFormFeed     = "v^["; 
    ls->shortcutCpuStateLoad    = "CPUXe[gǂݍ";
    ls->shortcutCpuStateSave    = "CPUXe[gۑ";
    ls->shortcutCpuStateQload   = "NCbN[h";
    ls->shortcutCpuStateQsave   = "NbNZ[u";
    ls->shortcutAudioCapture    = "TEh^̎s/~";
    ls->shortcutScreenshotOrig  = "XN[Vbg";
    ls->shortcutScreenshotSmall = "tB^[WTCY XN[Vbg";
    ls->shortcutScreenshotLarge = "tB^[2{TCY XN[Vbg";
    ls->shortcutQuit            = "blueMSX ̏I";
    ls->shortcutRunPause        = "G~[V̎s/f";
    ls->shortcutStop            = "~";
    ls->shortcutResetHard       = "n[hZbg";
    ls->shortcutResetSoft       = "\\tgZbg";
    ls->shortcutResetClean      = "N[Zbg";
    ls->shortcutSizeSmall       = "WTCY";
    ls->shortcutSizeNormal      = "2{TCY";
    ls->shortcutSizeFullscreen  = "tXN[";
    ls->shortcutSizeMinimized   = "EBhE ŏ";
    ls->shortcutToggleFullscren = "tXN[";
    ls->shortcutVolumeIncrease  = "{[グ";
    ls->shortcutVolumeDecrease  = "{[";
    ls->shortcutVolumeMute      = "~[g";
    ls->shortcutVolumeStereo    = "m/XeI̐؂ւ";
    ls->shortcutSwitchMsxAudio  = "MSX-AUDIO J[gbWXCb`";
    ls->shortcutSwitchFront     = "pi\\jbNn O[\\tg]XCb`";
    ls->shortcutSwitchPause     = "pi\\jbNn |[YXCb`";
    ls->shortcutToggleMouseLock = "}EXbN";
    ls->shortcutEmuSpeedMax     = "G~[Vsxő";
    ls->shortcutEmuSpeedToggle  = "ő̗L";
    ls->shortcutEmuSpeedNormal  = "G~[VsxW";
    ls->shortcutEmuSpeedInc     = "G~[Vx";
    ls->shortcutEmuSpeedDec     = "G~[Vx̌";
    ls->shortcutThemeSwitch     = "e[}̐؂ւ";
    ls->shortcutShowEmuProp     = "G~[Vݒʂ̕\\";
    ls->shortcutShowVideoProp   = "rfIݒʂ̕\\";
    ls->shortcutShowAudioProp   = "TEhݒʂ̕\\";
    ls->shortcutShowCtrlProp    = "Rg[ݒʂ̕\\";
    ls->shortcutShowPerfProp    = "ptH[}Xݒʂ̕\\";
    ls->shortcutShowSettProp    = "̑ݒʂ̕\\";
    ls->shortcutShowPorts       = "|[gݒʂ̕\\";
    ls->shortcutShowLanguage    = "_CAO̕\\";
    ls->shortcutShowMachines    = "}V\\ҏW̕\\";
    ls->shortcutShowShortcuts   = "V[gJbgGfB^[̕\\";
    ls->shortcutShowKeyboard    = "L[{[h\\ҏW̕\\";
    ls->shortcutShowMixer       = "~LT[̕\\"; 
	ls->shortcutShowDebugger    = "fobK[\\";
    ls->shortcutShowTrainer     = "g[i[\\";
    ls->shortcutShowHelp        = "wv_CAO̕\\";
    ls->shortcutShowAbout       = "blueMSX ɂĂ̕\\";
    ls->shortcutShowFiles       = "t@C_CAO\\";
    ls->shortcutToggleSpriteEnable = "XvCg̕\\/\\";
    ls->shortcutToggleFdcTiming = "FDDhCũ^C~O̗L/";
    ls->shortcutToggleCpuTrace  = "CPUg[X̗L/";


    //----------------------
    // Keyboard config lines
    //----------------------
    
    ls->keyconfigSelectedKey    = "IL[:";
    ls->keyconfigMappedTo       = "ΏۃL[:";
    ls->keyconfigMappingScheme  = "\\:";


    
    //----------------------
    // Rom type lines
    //----------------------

    ls->romTypeStandard         = "Standard";
    ls->romTypeMsxdos2          = "MSXDOS 2";
    ls->romTypeKonamiScc        = "Konami SCC";
    ls->romTypeKonami           = "Konami";
    ls->romTypeAscii8           = "ASCII 8";
    ls->romTypeAscii16          = "ASCII 16";
    ls->romTypeGameMaster2      = "Game Master 2 (SRAM)";
    ls->romTypeAscii8Sram       = "ASCII 8 (SRAM)";
    ls->romTypeAscii16Sram      = "ASCII 16 (SRAM)";
    ls->romTypeRtype            = "R-Type";
    ls->romTypeCrossblaim       = "Cross Blaim";
    ls->romTypeHarryFox         = "Harry Fox";
    ls->romTypeMajutsushi       = "Konami Majutsushi";
    ls->romTypeZenima80         = "Zemina 80 in 1";
    ls->romTypeZenima90         = "Zemina 90 in 1";
    ls->romTypeZenima126        = "Zemina 126 in 1";
    ls->romTypeScc              = "SCC";
    ls->romTypeSccPlus          = "SCC+";
    ls->romTypeSnatcher         = "The Snatcher";
    ls->romTypeSdSnatcher       = "SD Snatcher";
    ls->romTypeSccMirrored      = "SCC mirrored";
    ls->romTypeSccExtended      = "SCC extended";
    ls->romTypeFmpac            = "FMPAC (SRAM)";
    ls->romTypeFmpak            = "FMPAK";
    ls->romTypeKonamiGeneric    = "Konami Generic";
    ls->romTypeSuperPierrot     = "Super Pierrot";
    ls->romTypeMirrored         = "Mirrored ROM";
    ls->romTypeNormal           = "Normal ROM";
    ls->romTypeDiskPatch        = "Normal + Disk Patch";
    ls->romTypeCasPatch         = "Normal + Cassette Patch";
    ls->romTypeTc8566afFdc      = "TC8566AF Disk Controller";
    ls->romTypeMicrosolFdc      = "Microsol Disk Controller";
    ls->romTypeNationalFdc      = "National Disk Controller";
    ls->romTypePhilipsFdc       = "Philips Disk Controller";
    ls->romTypeSvi738Fdc        = "SVI-738 Disk Controller";
    ls->romTypeMappedRam        = "Mapped RAM";
    ls->romTypeMirroredRam1k    = "1kB Mirrored RAM";
    ls->romTypeNormalRam        = "Normal RAM";
    ls->romTypeKanji            = "Kanji";
    ls->romTypeHolyQuran        = "Holy Quran";
    ls->romTypeMatsushitaSram   = "Matsushita SRAM";
    ls->romTypePanasonic16      = "Panasonic 16kB SRAM";
    ls->romTypePanasonic32      = "Panasonic 32kB SRAM";
    ls->romTypeBunsetsu         = "Bunsetsu";
    ls->romTypeJisyo            = "Jisyo";
    ls->romTypeKanji12          = "Kanji12";
    ls->romTypeNationalSram     = "National (SRAM)";
    ls->romTypeS1985            = "S1985";
    ls->romTypeS1990            = "S1990";
    ls->romTypeTurborPause      = "Turbo-R Pause";
    ls->romTypeF4deviceNormal   = "F4 Device Normal";
    ls->romTypeF4deviceInvert   = "F4 Device Inverted";
    ls->romTypeMsxMidi          = "MSX-MIDI";
    ls->romTypeTurborTimer      = "Turbo-R Timer";
    ls->romTypeKoei             = "Koei (SRAM)";
    ls->romTypeBasic            = "Basic ROM";
    ls->romTypeHalnote          = "Halnote";
    ls->romTypeLodeRunner       = "Lode Runner";
    ls->romTypeNormal4000       = "Normal 4000h";
    ls->romTypeNormalC000       = "Normal C000h";
    ls->romTypeKonamiSynth      = "Konami Synthesizer";
    ls->romTypeKonamiKbdMast    = "Konami Keyboard Master";
    ls->romTypeKonamiWordPro    = "Konami Word Pro";
    ls->romTypePac              = "PAC (SRAM)";
    ls->romTypeMegaRam          = "MegaRAM";
    ls->romTypeMegaRam128       = "128kB MegaRAM";
    ls->romTypeMegaRam256       = "256kB MegaRAM";
    ls->romTypeMegaRam512       = "512kB MegaRAM";
    ls->romTypeMegaRam768       = "768kB MegaRAM";
    ls->romTypeMegaRam2mb       = "2MB MegaRAM";
    ls->romTypeExtRam           = "External RAM";
    ls->romTypeExtRam512        = "512kB External RAM";
    ls->romTypeExtRam1mb        = "1MB External RAM";
    ls->romTypeExtRam2mb        = "2MB External RAM";
    ls->romTypeExtRam4mb        = "4MB External RAM";
    ls->romTypeMsxMusic         = "MSX Music";
    ls->romTypeMsxAudio         = "MSX Audio";
    ls->romTypeY8950            = "Y8950";
    ls->romTypeMoonsound        = "Moonsound";
    ls->romTypeSvi328Cart       = "SVI-328 Cartridge";
    ls->romTypeSvi328Fdc        = "SVI-328 Disk Controller";
    ls->romTypeSvi328Prn        = "SVI-328 Printer";
    ls->romTypeSvi328Uart       = "SVI-328 Serial Port";
    ls->romTypeSvi328col80      = "SVI-328 80 Column Card";
    ls->romTypeSvi727col80      = "SVI-727 80 Column Card";
    ls->romTypeColecoCart       = "Coleco Cartridge";
    ls->romTypeSg1000Cart       = "SG-1000 Cartridge";
    ls->romTypeTheCastle        = "The Castle";
    ls->romTypeSonyHbi55        = "Sony HBI-55";
    ls->romTypeMsxPrinter       = "MSX Printer";
    ls->romTypeTurborPcm        = "Turbo-R PCM Chip";
    ls->romTypeGameReader       = "Sunrise GameReader";
    ls->romTypeSunriseIde       = "Sunrise IDE";
    ls->romTypeBeerIde          = "Beer IDE";
    ls->romTypeGide             = "GIDE";
    ls->romTypeVmx80            = "Microsol VMX-80";
    ls->romTypeNms8280Digitiz   = "Philips NMS-8280 Digitizer";
    ls->romTypeHbiV1Digitiz     = "Sony HBI-V1 Digitizer";
    ls->romTypeFmdas            = "F&M Direct Assembler System";
    ls->romTypeSfg01            = "Yamaha SFG-01";
    ls->romTypeSfg05            = "Yamaha SFG-05";
    
    
    //----------------------
    // Debug type lines
    // Note: Only needs translation if debugger is translated
    //----------------------

    ls->dbgMemVisible           = "Visible Memory";
    ls->dbgMemRamNormal         = "Normal";
    ls->dbgMemRamMapped         = "Mapped";
    ls->dbgMemVram              = "VRAM";
    ls->dbgMemYmf278            = "YMF278 Sample RAM";
    ls->dbgMemAy8950            = "AY8950 Sample RAM";
    ls->dbgMemScc               = "Memory";

    ls->dbgCallstack            = "Callstack";

    ls->dbgRegs                 = "Registers";
    ls->dbgRegsCpu              = "CPU Registers";
    ls->dbgRegsYmf262           = "YMF262 Registers";
    ls->dbgRegsYmf278           = "YMF278 Registers";
    ls->dbgRegsAy8950           = "AY8950 Registers";
    ls->dbgRegsYm2413           = "YM2413 Registers";

    ls->dbgDevRamMapper         = "RAM Mapper";
    ls->dbgDevRam               = "RAM";
    ls->dbgDevIdeBeer           = "Beer IDE";
    ls->dbgDevIdeGide           = "GIDE";
    ls->dbgDevF4Device          = "F4 Device";
    ls->dbgDevFmpac             = "FMPAC";
    ls->dbgDevFmpak             = "FMPAK";
    ls->dbgDevKanji             = "Kanji";
    ls->dbgDevKanji12           = "Kanji 12";
    ls->dbgDevKonamiKbd         = "Konami Keyboard Master";
    ls->dbgDevKorean80          = "Korean 80";
    ls->dbgDevKorean90          = "Korean 90";
    ls->dbgDevKorean128         = "Korean 128";
    ls->dbgDevMegaRam           = "Mega RAM";
    ls->dbgDevFdcMicrosol       = "Microsol FDC";
    ls->dbgDevMoonsound         = "Moonsound";
    ls->dbgDevMsxAudio          = "MSX Audio";
    ls->dbgDevMsxAudioMidi      = "MSX Audio MIDI";
    ls->dbgDevMsxMusic          = "MSX Music";
    ls->dbgDevPrinter           = "Printer";
    ls->dbgDevRs232             = "RS232";
    ls->dbgDevS1990             = "S1990";
    ls->dbgDevSfg05             = "Yamaha SFG-05";
    ls->dbgDevHbi55             = "Sony HBI-55";
    ls->dbgDevSviFdc            = "SVI FDC";
    ls->dbgDevSviPrn            = "SVI Printer";
    ls->dbgDevSvi80Col          = "SVI 80 Column";
    ls->dbgDevPcm               = "PCM";
    ls->dbgDevMatsushita        = "Matsushita";
    ls->dbgDevS1985             = "S1985";
    ls->dbgDevCrtc6845          = "CRTC6845";
    ls->dbgDevTms9929A          = "TMS9929A";
    ls->dbgDevTms99x8A          = "TMS99x8A";
    ls->dbgDevV9938             = "V9938";
    ls->dbgDevV9958             = "V9958";
    ls->dbgDevZ80               = "Z80";
    ls->dbgDevMsxMidi           = "MSX MIDI";
    ls->dbgDevPpi               = "PPI";
    ls->dbgDevRtc               = "RTC";
    ls->dbgDevTrPause           = "TR Pause";
    ls->dbgDevAy8910            = "AY8910 PSG";
    ls->dbgDevScc               = "SCC";


    //----------------------
    // Debug type lines
    // Note: Can only be translated to european languages
    //----------------------

    ls->aboutScrollThanksTo     = "Special thanks to: ";
    ls->aboutScrollAndYou       = "and YOU !!!!";
};

#endif
